org.apache.catalina.valves

## Class ExtendedAccessLogValve.RequestAttributeElement

- java.lang.Object
- - org.apache.catalina.valves.ExtendedAccessLogValve.RequestAttributeElement

All Implemented Interfaces:
  AccessLogValve.AccessLogElement

Enclosing class:
  ExtendedAccessLogValve

    protected class ExtendedAccessLogValve.RequestAttributeElement
    extends Object
    implements AccessLogValve.AccessLogElement

### Constructor Summary

Constructors
Constructor and Description
`ExtendedAccessLogValve.RequestAttributeElement(String attribute)`

### Method Summary

Methods
`void` `addElement(StringBuilder buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedAccessLogValve.RequestAttributeElement

    public ExtendedAccessLogValve.RequestAttributeElement(String attribute)

### Method Detail

#### addElement

    public void addElement(StringBuilder buf,
                  Date date,
                  Request request,
                  Response response,
                  long time)

Specified by:
  `addElement` in interface `AccessLogValve.AccessLogElement`